<?php

if ( ! defined( 'ABSPATH' ) ) exit;

class Consult_Shortcode{

	/**
     * Holds the class object.
     *
     * @since 1.0
     *
     */
	public static $_instance;

	/**
     * Load Construct
     * 
     * @since 1.0
     */

	public function __construct(){

		add_action('elementor/init', array($this, 'consult_elementor_init'));
        add_action('elementor/widgets/widgets_registered', array($this, 'consult_shortcode_elements'));
        add_action( "elementor/frontend/after_enqueue_scripts", [ $this, 'consult_elementor_enqueue_scripts' ] );
        add_action( 'elementor/preview/enqueue_styles', array( $this, 'consult_elementor_enqueue_styles' ) );

	}


    /**
     * Enqueue Scripts
     *
     * @return void
     */
    
     public function consult_elementor_enqueue_scripts() {
         wp_enqueue_script( 'consult-active-elementor', CONSULT_SCRIPTS  . '/elementor.js',array( 'jquery' ), CONSULT_VERSION, true );
     }

 

    /**
     * Preview Enqueue Scripts
     *
     * @return void
     */

    public function consult_elementor_enqueue_styles() {
        wp_enqueue_style('consult-admin-elementor', CONSULT_CSS . '/elementor-admin.css', null, CONSULT_VERSION);
    }
	/**
     * Elementor Initialization
     *
     * @since 1.0
     *
     */

    public function consult_elementor_init(){
        \Elementor\Plugin::$instance->elements_manager->add_category(
            'consult-elements',
            [
                'title' =>esc_html__( 'Consult', 'consult' ),
                'icon' => 'fa fa-plug',
            ],
            1
        );
    }

 

    public function consult_shortcode_elements($widgets_manager){
        require_once CONSULT_SHORTCODE_DIR.'/consult-slider.php';
        require_once CONSULT_SHORTCODE_DIR.'/consult-feature.php';
        require_once CONSULT_SHORTCODE_DIR.'/consult-about.php';
        require_once CONSULT_SHORTCODE_DIR.'/consult-project.php';
        require_once CONSULT_SHORTCODE_DIR.'/consult-service.php';
        require_once CONSULT_SHORTCODE_DIR.'/consult-testimonial.php';
        require_once CONSULT_SHORTCODE_DIR.'/consult-team.php';
        require_once CONSULT_SHORTCODE_DIR.'/consult-title.php';
        require_once CONSULT_SHORTCODE_DIR.'/consult-blog.php';

        $widgets_manager->register_widget_type(new Elementor\Consult_Slider());
        $widgets_manager->register_widget_type(new Elementor\Consult_Feature());
        $widgets_manager->register_widget_type(new Elementor\Consult_About());
        $widgets_manager->register_widget_type(new Elementor\Consult_Service());
        $widgets_manager->register_widget_type(new Elementor\Consult_Project());
        $widgets_manager->register_widget_type(new Elementor\Consult_Team());
        $widgets_manager->register_widget_type(new Elementor\Consult_Testimonials());
        $widgets_manager->register_widget_type(new Elementor\Consult_Title());
        $widgets_manager->register_widget_type(new Elementor\Consult_Blog());
    }
    
	public static function consult_get_instance() {
        if (!isset(self::$_instance)) {
            self::$_instance = new Consult_Shortcode();
        }
        return self::$_instance;
    }

}
$Consult_Shortcode = Consult_Shortcode::consult_get_instance();