<?php
/*
 *  Custom Style
 */

/* All Dynamic CSS Styles */
if ( ! function_exists( 'consult_dynamic_styles' ) ) {
  function consult_dynamic_styles() {


  ob_start();
  global $post;

  // Header Title Bar color
  $consult_title_color = get_theme_mod( 'consult_title_color', '' );
  if ( $consult_title_color ) {?>
    .page-title h2 {
      color: <?php echo esc_attr( $consult_title_color ); ?>;
    }
  <?php
  }

  $consult_title_bg_color = get_theme_mod( 'consult_title_bg_color', '' );
  if ( $consult_title_bg_color ) {?>
    .page-title {
      background-color: <?php echo esc_attr( $consult_title_bg_color ); ?>;
    }
  <?php
  }

  $consult_breatcrumb_color = get_theme_mod( 'consult_breatcrumb_color', '' );
  if ( $consult_breatcrumb_color ) {?>
    .page-title .breadcrumb li,
    .page-title .breadcrumb li a,
    .page-title .breadcrumb > li + li:before {
      color: <?php echo esc_attr( $consult_breatcrumb_color ); ?>;
    }
  <?php
  }

  // Menu Color 
  $consult_menu_bg_color = get_theme_mod( 'consult_menu_bg_color', '' );
  if ( $consult_menu_bg_color ) {?>
    .site-header .navigation,
    .site-header #navbar > ul .sub-menu {
      background-color: <?php echo esc_attr( $consult_menu_bg_color ); ?>;
    }
  <?php
  }

  $consult_menu_color = get_theme_mod( 'consult_menu_color', '' );
  if ( $consult_menu_color ) {?>
    .site-header .navigation #navbar ul li a,
    .site-header #navbar > ul > li .sub-menu a {
      color: <?php echo esc_attr( $consult_menu_color ); ?>;
    }
  <?php
  }

  $consult_menu_search_color = get_theme_mod( 'consult_menu_search_color', '' );
  if ( $consult_menu_search_color ) {?>
    .site-header .navigation .search-quote i {
      color: <?php echo esc_attr( $consult_menu_search_color ); ?>;
    }
  <?php
  }

  $consult_menu_logo_color = get_theme_mod( 'consult_menu_logo_color', '' );
  if ( $consult_menu_logo_color ) {?>
    .site-header .navigation .navbar-brand a {
      color: <?php echo esc_attr( $consult_menu_logo_color ); ?>;
    }
  <?php
  }

  // Topbar Color Setting
  $consult_topbar_color = get_theme_mod( 'consult_topbar_color', '' );
  if ( $consult_topbar_color ) {?>
    .topbar .contact-info ul li {
      color: <?php echo esc_attr( $consult_topbar_color ); ?>;
    }
  <?php
  }  

  $consult_topbar_icon_color = get_theme_mod( 'consult_topbar_icon_color', '' );
  if ( $consult_topbar_icon_color ) {?>
    .topbar .social i {
      color: <?php echo esc_attr( $consult_topbar_icon_color ); ?>;
    }
  <?php
  }


  // Footer Color
  $consult_footer_bg_color = get_theme_mod( 'consult_footer_bg_color', '' );
   if ( $consult_footer_bg_color ) {?>
    .site-footer {
      background-color: <?php echo esc_attr( $consult_footer_bg_color ); ?>;
    }
  <?php
  }

  $consult_footer_copywrite_bg_color = get_theme_mod( 'consult_footer_copywrite_bg_color', '' );
   if ( $consult_footer_copywrite_bg_color ) {?>
    .site-footer .lower-footer {
      background-color: <?php echo esc_attr( $consult_footer_copywrite_bg_color ); ?>;
    }
  <?php
  }

  $consult_Copywrite_color = get_theme_mod( 'consult_Copywrite_color', '' );
   if ( $consult_Copywrite_color ) {?>
    .site-footer .lower-footer p,
    .site-footer .lower-footer a {
      color: <?php echo esc_attr( $consult_Copywrite_color ); ?>;
    }
  <?php
  }

  $output = ob_get_clean();
  return $output;

  }

}

/* Custom Styles */
if( ! function_exists( 'consult_custom_css' ) ) {
  function consult_custom_css() {
    wp_enqueue_style('consult-default-style', get_template_directory_uri() . '/style.css');
    $output = consult_dynamic_styles();
    $custom_css = consult_compress_css_lines( $output );

    wp_add_inline_style( 'consult-default-style', $custom_css );
  }
  add_action( 'wp_enqueue_scripts', 'consult_custom_css' );
}