<?php 
/**
 * Title bar  
 *
 * @package consult
 */

$consult_header_image = function_exists('get_field') ? get_field('consult_header_image') : '';
$consult_show_page_title = function_exists('get_field') ? get_field('consult_show_page_title') : '';
$consult_custom_heading_title = function_exists('get_field') ? get_field('consult_custom_heading_title') : '';

$consult_hide_breadcrumbs = get_theme_mod( 'consult_hide_breadcrumbs', '' );
$consult_custom_header = get_custom_header();

if( $consult_header_image ) {
    $consult_title_bg = 'background-image: url('. esc_url( $consult_header_image ) .');';
} elseif ( $consult_custom_header->url  ) {
    $consult_title_bg = 'background-image: url('. esc_url( $consult_custom_header->url ) .');';
} else {
    $consult_title_bg = '';
}

if ( $consult_custom_heading_title ) {
	$consult_custom_heading_title = $consult_custom_heading_title;
} else {
	$consult_custom_heading_title = get_the_title();
}

if ( !$consult_show_page_title ) { ?>
<section class="page-title" style="<?php echo $consult_title_bg ; ?>">
    <div class="container">
        <div class="row">
            <div class="col col-xs-12">
               <h2><?php if ( isset( $consult_custom_heading_title ) ) { echo esc_html( $consult_custom_heading_title ); } ?></h2>
               <?php if ( !$consult_hide_breadcrumbs && function_exists( 'consult_breadcrumb_trail' )) { consult_breadcrumb_trail();  } ?>
            </div>
        </div> <!-- end row -->
    </div> <!-- end container -->
</section>
<?php } ?>


